/* -*- Mode: Javascript; tab-width: 2; c-basic-offset: 2; -*-
 * 
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s): 
 *  Brian King  <BrianK@ActiveState.com> 
 *  Adrian Mastronardi <adrianm@museo.fcnym.unlp.edu.ar>
 */

const G_MSG             = "PubMed v0.3.1";
const G_NAME            = "pubmed";
const G_VER             = "0.3.1";
const G_CHROME          = "Chrome";
const G_CONTENT         = "content/pubmed/";
const G_SKIN            = "skin/";
const G_LOCALE          = "locale/en-US/pubmed/";

const G_JAR_FILE        = "pubmed.jar";
const G_CHROME_DIR      = getFolder(G_CHROME);

const COMNT_1           = "Install for PubMed as a jar . . . \n\nInstall: ";
const COMNT_2           = "PubMed Jar";

var err = initInstall(G_MSG, G_NAME, G_VER);

logComment(COMNT_1 + err);

addFile(COMNT_2, G_JAR_FILE, G_CHROME_DIR, "" );

registerChrome(CONTENT, getFolder(G_CHROME, G_JAR_FILE), G_CONTENT);
//registerChrome(SKIN, getFolder(G_CHROME, G_JAR_FILE), G_SKIN);
registerChrome(LOCALE, getFolder(G_CHROME, G_JAR_FILE), G_LOCALE);

err = getLastError();

if (err==SUCCESS)
{
    performInstall();
		alert("Please restart Communicator");
}
else
{
    cancelInstall(err);
		alert("Instaltion canceled");
}
